2022-01-18  Pavel Holoborodko  <pavel@holoborodko.com>
	
	* Fixed incompatibility with MPFR 4.2.0 by disabling MPFR_SRCPTR macro.
	* Removed unnecessary min/max overloads from std namespace.
	* Added new functions from MPFR 4.0.0 for incomplete gamma (gammainc) and beta (beta) functions.
	* Added new functions from MPFR 4.2.0: cosu, sinu, tanu, acosu, asinu, atanu, atan2u, cospi, sinpi, tanpi, acospi, asinpi, atanpi, atan2pi, log2p1, log10p1, exp2m1, exp10m1, compound, powr and fmod_ui. Thanks to Brian Gladman for the contribution.

2019-01-25  Pavel Holoborodko  <pavel@holoborodko.com>

	* .hgtags:
	Moved tag mpfrc++-3.6.6 to changeset 993de1ab3ab2 (from changeset
	eb1156e6ce09)
	[7dea3b06cace] [tip]

	* mpreal.h:
	Merged all contributed changes with main
	[993de1ab3ab2] [mpfrc++-3.6.6]

2017-08-16  Ed Smith-Rowland  <3dw4rd@verizon.net>

	* mpreal.h:
	Fix ilogb. Return const not needed for friend. Rounding not useable.
	[5a1542642bf0]

2017-08-07  Ed Smith-Rowland  <3dw4rd@verizon.net>

	* mpreal.h:
	Add ilogb.
	[0c52ebf3b604]

2017-06-05  Paul Hentschel  <paul@hpminc.com>

	* mpreal.h:
	Changed grandom function to work with Brian Gladman's latest dev
	version of mpfr.
	[9ef1fc459291]

2019-01-25  Pavel Holoborodko  <pavel@holoborodko.com>

	* .hgtags:
	Added tag mpfrc++-3.6.6 for changeset eb1156e6ce09
	[a1f712755491]

	* .hgtags:
	Removed tag mpfrc++-3.6.6
	[eb1156e6ce09]

	* .hgtags:
	Added tag mpfrc++-3.6.6 for changeset c0c3024fe811
	[33d2503a3d25]

	* .hgtags:
	Added tag 3.6.6 for changeset c0c3024fe811
	[4f5a23a11962]

	* mpreal.h:
	Added support for new functions in MFPR 4.0.0, added negate function
	and fixed bug in double/mpreal division operator.
	[c0c3024fe811] [3.6.6]

2016-12-20  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Added another overload for FREXP for better compatibility with
	STD::FREXP (provided by Charles Karney).
	[5219ee6c0214]

2016-12-15  Pavel Holoborodko  <pavel@holoborodko.com>

	* .hgtags:
	Moved tag mpfrc++-3.6.5 to changeset 519012baebd7 (from changeset
	ca4689c69eaa)
	[dd9acba59d27]

	* mpreal.h:
	Fixed GCC warnings on unknown pragmas.
	[519012baebd7] [mpfrc++-3.6.5]

	* .hgtags:
	Added tag mpfrc++-3.6.5 for changeset ca4689c69eaa
	[75f1e9602bb3]

	* Merged with online branch
	[ca4689c69eaa]

2016-11-24  Pavel Holoborodko  <pavel@holoborodko.com>

	* README.md:
	README.md edited online with Bitbucket
	[d7f37b26713c]

2016-12-15  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Updates to move-operations, small fixes, bumped to 3.6.5 version.
	[997653929d38]

2016-08-29  Pavel Holoborodko  <pavel@advanpix.com>

	* .hgtags:
	Removed tag 3.6.4
	[f29db8a042ad]

	* .hgtags:
	Added tag mpfrc++-3.6.4 for changeset 667c8874ec46
	[397112248c31]

	* .hgtags:
	Added tag 3.6.4 for changeset c9a66bcd9828
	[667c8874ec46] [mpfrc++-3.6.4]

	* .hgtags:
	Removed tag 3.6.4
	[c9a66bcd9828]

	* changelog:
	Changelog has been updated.
	[ad643b2e9fe8]

	* .hgtags:
	Added tag 3.6.4 for changeset f961c1f3af6c
	[1b5a28d2f1f9]

	* mpreal.h:
	Bumped version to 3.6.4
	[f961c1f3af6c]

	* mpreal.h:
	Added nextpow2, setsignbit and 3-4 argument hypot with protection
	agains overflow. Improved compatibility with Intel compilers, fixed
	get_exp().
	[7b6762157fcd]

2016-01-08  Pavel Holoborodko  <pavel@holoborodko.com>

	* .hgtags:
	Added tag mpfrc++-3.6.3 for changeset bed0adf08642
	[cbda4ff8f6b2]

	* .hgtags:
	Removed tag mpfrc++-3.6.3
	[bed0adf08642] [mpfrc++-3.6.3]

	* changelog:
	Updated the changelog
	[d9a805ac7da5]

	* mpreal.h:
	Updated list of contributors.
	[c247cf9d59a0]

	* mpreal.h:
	Updated copyright notice
	[82c2ecd78875]

	* .hgtags:
	Added tag mpfrc++-3.6.3 for changeset 89bef2abf54b
	[025578cf1a20]

	* .hgtags:
	Removed tag 3.6.3
	[84c53970adaa]

	* .hgtags:
	Added tag 3.6.3 for changeset 7ffcad32c02b
	[89bef2abf54b]

	* changelog:
	All set for the new release
	[7ffcad32c02b]

	* mpreal.h:
	Updated the version number to 3.6.3
	[89279de50ec6]

	* changelog:
	Updated the changelog
	[71d9c011d909]

	* mpreal.h:
	Switched to stdint.h for C++03 compatibility, added guard brackets
	for mpfr_get_default_prec
	[e8204db924a8]

2015-09-26  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Updated frexp, code clean-up.
	[a396b360259d]

2015-07-24  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Included <algorithm> for std::min/max.
	[eac86fd487c8]

2015-05-28  Pavel Holoborodko  <pavel@holoborodko.com>

	* README.md:
	Updated the readme
	[248da9fd5d83]

	* mpreal.h:
	Fixed incompatibility with MSVC in array sum function. Thanks to
	Brian Gladman for reporting the issue.
	[a25d66dbb157]

2015-04-16  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Increased number of digits in string conversion to guarantee
	accurate recovery
	[5207228dbf21]

2015-04-13  Pavel Holoborodko  <pavel@holoborodko.com>

	* README.md:
	Minor edits to README.md
	[2ad0118738df]

	* .hgtags:
	Moved tag mpfrc++-3.6.2 to changeset 729ef0273599 (from changeset
	7b05afee0747)
	[b1c40b105095]

	* changelog:
	Changelog update to match the current version
	[729ef0273599] [mpfrc++-3.6.2]

	* FOSSLicenseException.txt, mpreal.h:
	Version number has been fixed.
	[c3344cebf10a]

2015-04-02  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Fixe to avoid a ton of signed/unsigned comparison warnings
	[bc195293ab38]

	* .hgtags:
	Added tag mpfrc++-3.6.2 for changeset 7b05afee0747
	[fdaee78b0b66]

	* changelog:
	Updated changelog before new version release
	[7b05afee0747]

	* mpreal.h:
	Added warning to stress out the required IEEE compliance, bumped
	version.
	[d1d8630400d7]

2015-04-01  Pavel Holoborodko  <pavel@holoborodko.com>

	* Merged to have README.md
	[f64dc82740e3]

	* README.md:
	README.md edited online with Bitbucket
	[c2c4fc23e7ff]

	* mpreal.h:
	Fixed and extended relational operators.
	[4a1308912e53]

2015-03-20  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Added fast zero, logb, scalbn. Fixed sum and other minor changes.
	[a3680b1e7035]

2015-01-06  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Added converter from std::complex scalars
	[04bb2944d39f]

2014-12-09  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Added "tgamma" for conformance with C++11
	[cd7d3a58ec04]

2014-10-21  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Fixed detection of "explicit converters" support by GCC.
	[747851110144]

2014-10-10  Pavel Holoborodko  <pavel@holoborodko.com>

	* .hgtags:
	Moved tag mpfrc++-3.6.1 to changeset e1be08860b61 (from changeset
	b96247a1ab1b)
	[6e38941f1a02]

	* FOSS License Exception.txt, FOSSLicenseException.txt:
	FOSS license file is renamed
	[e1be08860b61] [mpfrc++-3.6.1]

	* .hgtags:
	Added tag mpfrc++-3.6.1 for changeset b96247a1ab1b
	[eea219d51f89]

	* mpreal.h:
	Fixed micro-version number
	[b96247a1ab1b]

	* .hgtags:
	Moved tag mpfrc++-3.6.0 to changeset f7c491ba598d (from changeset
	4bd12a575301)
	[ec93a0c33cfb]

	* .hgtags:
	Moved tag mpfrc++-3.6.0 to changeset 4bd12a575301 (from changeset
	2d60dbf27e9d)
	[a466a3ad8e3f]

	* changelog:
	Updated changelog
	[4bd12a575301]

	* FOSS License Exception.txt, example/example.cpp, mpreal.h:
	Fixed error in signum (sgn) function.
	[39b74057b225]

2014-10-05  Pavel Holoborodko  <pavel@holoborodko.com>

	* .hgtags:
	Added tag mpfrc++-3.6.0 for changeset 2d60dbf27e9d
	[f7c491ba598d] [mpfrc++-3.6.0]

	* mpreal.h:
	Updated version signature
	[2d60dbf27e9d]

	* .hgtags:
	Removed tag mpfrc++-3.5.9
	[b6558a00425c]

	* changelog:
	Updated changelog
	[1bdf7affbbc7]

2014-08-24  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Added copysign and signbit functions
	[634c24e851fc]

2014-07-19  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Added proper MPFR version detection for grandom
	[7cc45167ef74]

2014-07-15  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Fixed "unused argument" warning
	[4d2f08db7f3d]

	* FOSS License Exception.txt:
	Added FOSS license exception (suggested by Jorge Tiago Vila)
	[bbb52e09d0db]

	* mpreal.h:
	Greatly simplified support for 64-bit integers (suggested by Charles
	Karney)
	[70aa80a90f41]

2014-07-04  Pavel Holoborodko  <pavel@holoborodko.com>

	* .hgtags:
	Moved tag mpfrc++-3.5.9 to changeset 3b59fb37d8d0 (from changeset
	c82eb0b36ed8)
	[f0a55e6c6510]

	* mpreal.h:
	Enhancements in output and toString functions
	[3b59fb37d8d0]

	* .hgtags:
	Added tag mpfrc++-3.5.9 for changeset c82eb0b36ed8
	[b5c655632af0]

	* changelog:
	Updated changelog
	[c82eb0b36ed8]

	* mpreal.h:
	Added explicit conversion operators and more features to output
	operator. Contributed by Charles Karney.
	[43f5240bc55e]

2014-06-12  Pavel Holoborodko  <pavel@holoborodko.com>

	* .hgtags:
	Added tag mpfrc++-3.5.8 for changeset 848cb7ee9601
	[5a9d3981da25]

	* changelog:
	Updated changelog
	[848cb7ee9601] [mpfrc++-3.5.8]

	* mpreal.h:
	Fixed improper handling of std::setprecision(0), some warnings.
	Cosmetic changes.
	[fd8603d00edb]

2014-06-03  Pavel Holoborodko  <pavel@holoborodko.com>

	* .hgtags:
	Moved tag mpfrc++-3.5.7 to changeset 7787c0058cb1 (from changeset
	b1ed2b2430aa)
	[535ed9c45088]

	* changelog:
	Updated changelog
	[7787c0058cb1] [mpfrc++-3.5.7]

	* .hgtags:
	Moved tag mpfrc++-3.5.7 to changeset b1ed2b2430aa (from changeset
	115897b3f5ce)
	[97d36c0c4eb4]

	* mpreal.h:
	Added option to control the numeric_limits<mpreal> specialization.
	[b1ed2b2430aa]

2014-05-27  Pavel Holoborodko  <pavel@holoborodko.com>

	* .hgtags:
	Added tag mpfrc++-3.5.7 for changeset 115897b3f5ce
	[e7fa22557232]

	* changelog:
	Updated changelog for the release
	[115897b3f5ce]

2014-05-08  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Removed unused parameter from const_infinity
	[36e7d3597dbe]

2014-02-15  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Added support for PPC64. Contributed by Orion Poplawski.
	[d8d1f40e8dca]

2014-01-14  Pavel Holoborodko  <pavel@holoborodko.com>

	* example/example.cpp, mpreal.h:
	Changed friend functions declaration/definition with default
	arguments according to §8.3.6.4 of C++11 Contributed by Petr
	Alexandrov.
	[54486cf52e71]

2014-01-10  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Added protection for std::max, fixed formatting and typo
	[1d7620bc1b7a]

2013-11-10  zubanov  <azubanov@gmail.com>

	* Merged in zubanov/mpfr_grandom-in-
	mpfr-31-httpwwwmpfrorgmp-1384088199493 (pull request #1)

	mpfr_grandom in MPFR 3.1 (http://www.mpfr.org/mpfr-
	current/mpfr.html)
	[0b012108d455]

	* mpreal.h:
	mpfr_grandom in MPFR 3.1 (http://www.mpfr.org/mpfr-
	current/mpfr.html)
	[8b3f10f6aea8] <zubanov/mpfr_grandom-in-mpfr-31-httpwwwmpfrorgmp-1384088199493>

2013-10-13  Pavel Holoborodko  <pavel@holoborodko.com>

	* .hgtags:
	Added tag mpfrc++-3.5.6 for changeset b49cd8eccd61
	[3d7cc9e761ff]

	* .hgtags:
	Removed hgtags file
	[b49cd8eccd61] [mpfrc++-3.5.6]

2013-10-12  Pavel Holoborodko  <pavel@holoborodko.com>

	* .hgtags:
	Added tag mpfrc++-3.5.6 for changeset 5f2f3bade4dd
	[793ea9e059cc]

	* .hgtags:
	Removed tag mpfrc++-3.5.6
	[5f2f3bade4dd]

	* changelog:
	Changelog updated
	[d9d09206969d]

2013-10-11  Pavel Holoborodko  <pavel@holoborodko.com>

	* .hgtags:
	Added tag mpfrc++-3.5.6 for changeset 212d3bddf30c
	[e15c90a30ce6]

	* .hgtags, mpreal.h:
	Added support for GCC 7.1 and above
	[212d3bddf30c]

2013-10-10  Pavel Holoborodko  <pavel@holoborodko.com>

	* .hgtags:
	Added tag mpfrc++-3.5.5 for changeset 101440e2b33d
	[462681c3110d]

	* changelog:
	Added changelog
	[101440e2b33d]

	* copying.txt:
	Added GPL text as separate file
	[d2450011629e]

	* copying.txt, example/example.cpp, mpreal.h:
	License terms clarification
	[fe3b241512bb]

2013-10-09  Pavel Holoborodko  <pavel@holoborodko.com>

	* .hgtags:
	Added tag 3.5.5 for changeset 26663a149dfc
	[2efce445849a]

2013-10-08  Pavel Holoborodko  <pavel@holoborodko.com>

	* example/example.cpp:
	Added copyright notice to example
	[26663a149dfc]

	* copying.txt, mpreal.h:
	Added "dual-licensing" terms
	[13837c895076]

	* mpreal.h:
	Added wrappers for low-level initializations check
	[bd04a7f7b521]

2013-09-02  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Added move ctor / assignment, RVO optimization, compatibility with
	older MPFR.
	[72eac755d15c]

2013-02-19  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Added macro-logic for int64_t support on Mac OS X
	[1b0d6fdcf92f]

2013-02-11  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Initialization overhead minimization in mathematical functions
	[5c67b57960bd]

2013-02-10  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Arithmetic operations speed up by RVO and overhead minimization
	[c524bcccda1d]

2013-01-24  Gael Guennebaud  <g.gael@free.fr>

	* mpreal.h:
	Enable compiler RVO in c = a + b;
	[863750c996ff]

	* mpreal.h:
	Enable compiler RVO in c = a * b;
	[4c502eded329]

	* mpreal.h:
	add a const version of mpfr_ptr
	[fb4da131c3e6]

	* mpreal.h:
	Workaround "error: floating-point literal cannot appear in a
	constant-expression" when compiling with gcc -pedantic
	[e79dc5492ce5]

2012-12-04  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Fixed 'long int' and 'int64_t' clash on IA64 platforms
	[340d58c79215]

2012-10-26  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Added work-around to avoid clash with min, max macroses in MSVC
	[75a3a3a2bafd]

2012-10-23  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Speed-up in assignment and conversion from double
	[d40a2e23c6d7]

2012-10-22  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Improved speciliazation for std::numeric_limits
	[4ee2d33724d2]

2012-10-21  Pavel Holoborodko  <Pavel Holoborodko@Advanpix>

	* mpreal.h:
	Fixed formatting, TAB to spaces
	[f6db242a57d5]

2012-10-19  Pavel Holoborodko  <Pavel Holoborodko@Advanpix>

	* example/example.cpp, mpreal.h:
	Changed round_style to function Fixed minor warnings Fixed
	contributor list
	[27b2cac5f626]

2012-10-19  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Enhancement of std::numeric_limts<mpreal>, to be more compatible
	with LAPACK Template LIbrary
	[4e80c52d2bf4]

	* mpreal.h:
	Fixed messed up blank spaces
	[bb97d60dc279]

	* mpreal.h:
	New one-header MPREAL library
	[633ecbf6b601]

	* AUTHORS, COPYING, ChangeLog, INSTALL, MPRealSupport, Makefile.am,
	Makefile.in, NEWS, README, aclocal.m4, config.guess, config.sub,
	configure, configure.ac, copying.lib, depcomp, example.cpp,
	example.makefile, example/example.cpp, example/makefile, install-sh,
	ltmain.sh, missing, mpreal.cpp, mpreal.h:
	Complete update, old files clean up
	[54439186de7b]

2012-08-17  Jauhien Piatlicki  <piatlicki@gmail.com>

	* Makefile.am, Makefile.in, configure, configure.ac:
	correct so-version
	[365e3a6bb539]

	* autom4te.cache/output.0, autom4te.cache/output.1,
	autom4te.cache/requests, autom4te.cache/traces.0,
	autom4te.cache/traces.1:
	rm autom4te.cache
	[cfeb628317ea]

	* AUTHORS, COPYING, ChangeLog, INSTALL, Makefile.am, Makefile.in,
	NEWS, README, aclocal.m4, autom4te.cache/output.0,
	autom4te.cache/output.1, autom4te.cache/requests,
	autom4te.cache/traces.0, autom4te.cache/traces.1, config.guess,
	config.sub, configure, configure.ac, copying, depcomp,
	example.makefile, install-sh, ltmain.sh, makefile, missing:
	building with autotools added
	[210888972b8b]

2012-06-22  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.cpp:
	Replaced MPFR_RNDN to GMP_RNDN for compatibility
	[7b9efa6bd2c0]

	* mpreal.cpp, mpreal.h:
	Extended machine_epsilon() Restored compatibility with MPFR 2.3.1
	Code clean-up and simplifications by Gael Guennebaud Added comments
	& explanations
	[452b3e42ef1e]

	* MPRealSupport:
	Code clean up and simplification by Gael Guennebaud Added constants
	and other features
	[c054b3966fa6]

	* dlmalloc.c, dlmalloc.h, makefile:
	Removed dlmalloc library since it is optional
	[9e88546ed3ba]

2012-05-23  Pavel Holoborodko  <pavel@holoborodko.com>

	* copying, copying.lib, example.cpp, makefile:
	Added makefile, example.cpp and license
	[d04cff7a41be]

	* mpreal.h:
	Added x64 support for MinGW64. Added "fuzzy" comparison
	[da1927a4c53a]

2012-01-16  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Fixed bug which in conversion to mpfr_srcptr
	[88fa1ed2a7a5]

2012-01-12  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.cpp, mpreal.h:
	Fixed implicit conversion to mpfr_ptr/mpfr_srcptr and std::string
	[a87b193a75ab]

	* mpreal.h:
	- removed unneeded templated comparison operators
	 - code re-formatting
	[d2167e612f81]

2012-01-11  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.cpp, mpreal.h:
	- fix many minor bugs, including DebugView update in unary
	operations
	- refactor binary operations as templated functions
	- remove implicit conversion operators to raw pointers
	- custom memory allocation is optional now.
	[7b310de78559]

2011-09-30  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.cpp, mpreal.h:
	Fixed bug x-x = -0. Signed zeros are perfectly supported now.
	toString() has been cleaned up. Fixed static members initialization
	hell. Added Debug Preview for MSVC - Alexei Zubanov.
	[4f8d7043bf92]

2011-09-09  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.cpp, mpreal.h:
	Disabled int64_t support for VC++ less than 2010 Added setZero().
	Changed syntax of set_inf & set_nan.
	[2ee44062b841]

2011-09-05  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	Fixed few warnings on unused parameter ‘rnd_mode’. Added conversion
	operator mpfr_srcptr() Include <cstdlib> for compatibility with MPFR
	< 3.0.0
	[2faff5e271af]

2011-08-26  Pavel Holoborodko  <pavel@holoborodko.com>

	* mpreal.h:
	fix typo in comment
	[bd4bd7c0070f]

	* mpreal.h:
	disable MPFR_USE_INTMAX_T on x64 GCC builds
	[4d311588a233]

	* mpreal.h:
	detect x64 GCC builds and disable uint64_t since long int is already
	has 64-bits.
	[446bb69c5e42]

	* mpreal.cpp:
	clean up size_t & int types usage
	[2fdac1dc28fa]

	* mpreal.cpp, mpreal.h:
	- fixed urandom & sprintf_s - GCC compatibility
	[9de48e3cfb9c]

2011-08-25  Pavel Holoborodko  <pavel@holoborodko.com>

	* inttypes.h, stdint.h:
	removed unnecessary headers, needed for old MSVC
	[53846e0ba5d9]

	* mpreal.h:
	cleaning up of x64 support, needs testing on GCC
	[7711c5332b26]

2011-08-24  Pavel Holoborodko  <pavel@holoborodko.com>

	* MPRealSupport:
	added NumTraits<mpreal> for smooth integration with Eigen
	[860d3e3234a8]

	* dlmalloc.c, dlmalloc.h, inttypes.h, mpreal.cpp, mpreal.h, stdint.h:
	initial commit
	[9123b6b7751e]

